package com.nisum.offertransactionservice.dao;

import com.nisum.offertransactionservice.dto.Offer;
import com.nisum.offertransactionservice.model.OfferLookup;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import javax.swing.text.html.Option;
import java.util.List;
import java.util.Optional;

public interface OfferLookupRepo extends JpaRepository<OfferLookup,String> {

    @Query(value= "SELECT * FROM offer_lookup WHERE id=:hhid" , nativeQuery = true)
    public List<OfferLookup> findByHhId(String hhid);



}
