package com.nisum.offertransactionservice.dto;

import com.nisum.offertransactionservice.model.OfferLookup;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import java.util.List;
@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
public class EndOfSaleReq {
    OfferTransactionResponse offerTransactionResponse;
    List<OfferLookup> offers;
}
