package com.nisum.offertransactionservice.dto;

import com.nisum.offertransactionservice.dto.Item;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import java.util.List;

import static com.google.common.collect.Lists.newArrayList;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
public class PEResponse {

    Long hhid;
    List<Item> discountedItemList = newArrayList();
}
